#!/bin/sh
#
NAME_ROMIMAGE=./romimage.bin
ADRS_ROMIMAGE=0xeec00000
ADRE_ROMIMAGE=0xeeffffff
SIZE_ROMIMAGE=0x00400000
#
NAME_INITRD=./initrd.bin
ADRS_INITRD=0xeec20000
ADRE_INITRD=0xeee9ffff
SIZE_INITRD=0x00280000
#
NAME_ZIMAGE=./zImage.kmmfp
ADRS_ZIMAGE=0xeeea0000
ADRE_ZIMAGE=0xeefbffff
SIZE_ZIMAGE=0x00120000
#
NAME_PPCBOOT=./ppcboot.bin
ADRS_PPCBOOT=0xeefc0000
ADRE_PPCBOOT=0xeeffffff
SIZE_PPCBOOT=0x00040000

#----------------------------------------------------------------

if [ ! -f ./norutil/kmmfputils ]; then
	echo "Command not found \"./norutil/flerase\" or \"./norutil/flwrite\""
	exit 0
fi

[ -f /dev/mfp_iomemory ] || mknod /dev/mfp_iomemory c 239 1 2>/dev/null

echo "Install nor flash -----------------------------------------"

if [ -f "$NAME_ROMIMAGE" ]; then
    ./norutil/kmmfputils flerase bank 2
    echo "flwrite $NAME_ROMIMAGE $ADRS_ROMIMAGE"
    ./norutil/kmmfputils flwrite $NAME_ROMIMAGE $ADRS_ROMIMAGE
else
    if [ -f "$NAME_INITRD" ]; then
        ./norutil/kmmfputils flerase $ADRS_INITRD $ADRE_INITRD
        echo "flwrite $NAME_INITRD $ADRS_INITRD"
        ./norutil/kmmfputils flwrite $NAME_INITRD $ADRS_INITRD
    fi
    if [ -f "$NAME_ZIMAGE" ]; then
        ./norutil/kmmfputils flerase $ADRS_ZIMAGE $ADRE_ZIMAGE
        echo "flwrite $NAME_ZIMAGE $ADRS_ZIMAGE"
        ./norutil/kmmfputils flwrite $NAME_ZIMAGE $ADRS_ZIMAGE
    fi
    if [ -f "$NAME_PPCBOOT" ]; then
        ./norutil/kmmfputils flerase $ADRS_PPCBOOT $ADRE_PPCBOOT
        echo "flwrite $NAME_PPCBOOT $ADRS_PPCBOOT"
        ./norutil/kmmfputils flwrite $NAME_PPCBOOT $ADRS_PPCBOOT
    fi
fi
echo "*** Finish !! ***"
